Download it now!
Bug 70157 - FILEOPEN: abort on .docx file opening
Summary: FILEOPEN: abort on .docx file opening
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: BSA Confirmed:4.2.0.4:OSX target:4.5....
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-05 00:18 UTC by Dave Combs
Modified: 2016-12-06 12:41 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
This file will cause Writer 4.1.1.2 on OS/X to abend when opened (230.22 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-10-05 00:18 UTC, Dave Combs
Details
OSX Problem Report (Abend) (72.52 KB, text/plain)
2013-10-05 00:22 UTC, Dave Combs
Details
Same document saved as a word .doc file (not .docx) and it opens. (1.87 MB, application/msword)
2013-10-05 19:43 UTC, Dave Combs
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Combs 2013-10-05 00:18:03 UTC
Created attachment 87146 [details]
This file will cause Writer 4.1.1.2 on OS/X to abend when opened

Problem description: 
Writer Abends when opening a docx file

Steps to reproduce:
1. .... Writer File Open SemesterProject.docx
2. ....
3. ....

Current behavior:
Writer Abends when opening a docx file

Expected behavior:
File should open. 
              
I will try to upload the file and the stack trace. 
Operating System: Mac OS X
Version: 4.1.1.2 release
Comment 1 Dave Combs 2013-10-05 00:22:51 UTC
Created attachment 87147 [details]
OSX Problem Report (Abend)

This is the OSX Problem Report (Abend) report Writer crashing when opening the file SemesterProject.docx.
Comment 2 tommy27 2013-10-05 06:42:00 UTC
if I open test file in 4.1.1.2 under Win7 64bit an empty page shows up.
Comment 3 Dave Combs 2013-10-05 19:43:52 UTC
Created attachment 87169 [details]
Same document saved as a word .doc file (not .docx) and it opens.

I attached the same file saved in word as a .doc file which displays properly.
Comment 4 Dave Combs 2013-10-05 19:46:35 UTC
Tommy, please try the second file and which I saved as a MS Word .doc file and you should see the same contect that is supposed to be in the .docx file.  MS word can read both the .doc and the docx file while LibreOffice 4.1.1.2 can only use the .doc file.  I appreciate you looking into this import problem and please let me know if you require additional information or screen shots. Thank You.
Comment 5 tommy27 2013-10-06 16:48:29 UTC
@Dave
retested with 4.2 alpha (Sept.10 build) and with 4.1.2.3 and earlier versions under Win7 64bit.

.docx test file still opens as an empty page in 4.2 alpha and 4.1.2 while earlier versions (tried 3.3.3, 3.4.6, 3.5.7 and 4.0.5) open the .docx file but show it with incorrect formatting or with missing parts.

even OOo 3.3.0 and AOO 4.0.0 opens .docx file with images but without lines and some missing text

the .doc test version opens correctly in LibO/OOo/AOO versions.

so there's an inherited issue from OOo opening this .docx file which eventually become worse with subsequent releases of LibO to the point that current release and alpha show it as an empty page.

I changed summary notes to generic "abnormal .docx file opening" since:
- it abends Writer on Mac
- it loads file incorrectly on Windows
Comment 6 retired 2014-02-11 22:23:28 UTC
Confirmed:4.2.0.4:OSX
Comment 7 Commit Notification 2014-12-02 14:54:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8302d048653d9ac25d3cb9ab9277df715053ad6a

Resolves: fdo#70157 fix crash on loading

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-12-02 14:55:51 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a757e1b1300dde12fb865c1efd64bfd2bef00e2c&h=libreoffice-4-4

Resolves: fdo#70157 fix crash on loading

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2014-12-02 14:57:51 UTC
The original complaint was that it abnormal terminates on loading. That's fixed now. Layout ain't great, but the major issue of blowing up is resolved.
Comment 10 Commit Notification 2014-12-04 16:49:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a63f1baddecb61f92eeadc484ac31fffdbc4bbf&h=libreoffice-4-3

Resolves: fdo#70157 fix crash on loading

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.